Package org.tmatesoft.svn.core.wc2

# Class SvnPatch

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Void>
org.tmatesoft.svn.core.wc2.SvnPatch

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnPatch extends SvnOperation<Void>

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnPatch(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getPatchFile()`
`ISvnPatchHandler`
`getPatchHandler()`
`int`
`getStripCount()`
`boolean`
`isDryRun()`
`boolean`
`isIgnoreWhitespace()`
`boolean`
`isRemoveTempFiles()`
`boolean`
`isReverse()`
`void`
`setDryRun(boolean dryRun)`
`void`
`setIgnoreWhitespace(boolean ignoreWhitespace)`
`void`
`setPatchFile(File patchFile)`
`void`
`setPatchHandler(ISvnPatchHandler patchHandler)`
`void`
`setRemoveTempFiles(boolean removeTempFiles)`
`void`
`setReverse(boolean reverse)`
`void`
`setStripCount(int stripCount)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnPatch

protected SvnPatch(SvnOperationFactory factory)

## Method Details

### getPatchFile

public File getPatchFile()

### setPatchFile

public void setPatchFile(File patchFile)

### isDryRun

public boolean isDryRun()

### setDryRun

public void setDryRun(boolean dryRun)

### getStripCount

public int getStripCount()

### setStripCount

public void setStripCount(int stripCount)

### isReverse

public boolean isReverse()

### setReverse

public void setReverse(boolean reverse)

### isIgnoreWhitespace

public boolean isIgnoreWhitespace()

### setIgnoreWhitespace

public void setIgnoreWhitespace(boolean ignoreWhitespace)

### isRemoveTempFiles

public boolean isRemoveTempFiles()

### setRemoveTempFiles

public void setRemoveTempFiles(boolean removeTempFiles)

### getPatchHandler

public ISvnPatchHandler getPatchHandler()

### setPatchHandler

public void setPatchHandler(ISvnPatchHandler patchHandler)